@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200;0,6..12,300;0,6..12,400;0,6..12,800;0,6..12,1000;1,6..12,200;1,6..12,300;1,6..12,400&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300&family=Varela&display=swap');
*{
    margin: 0;
    padding: 0;
}

body{
    background: linear-gradient(to right, #e0eafc, #cfdef3); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: 'Nunito Sans', sans-serif;
    font-size: 20px;
    color: #dcecf8;
    text-align: center;
    width: 100%;
    background: #0f0c29;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #24243e, #302b63, #0f0c29);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #24243e, #302b63, #0f0c29); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */    
    min-height: 160px;
}

.main{
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    width: auto;
}
#table-container{
    display: flex;
    align-items: center;
    align-self: center;
    justify-content: center;
    width: 80%;
}
table {
    width: 100%;
    border-collapse:separate;
    border-spacing: 0 10px;
    border: none;
}

table th, table td {
    border: none;
    padding: 15px;
    text-align: center;
}

table th{
    font-family: 'Nunito Sans', sans-serif;
    font-size: 17px;
    font-weight: 600;
    text-transform: capitalize;
}

table td{
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
}

.alumno {
    /* border-radius: 20px; */
    margin-top: 20px;
    margin-bottom: 20px;
    transition: ease-in .3s;
    background: rgba(255, 255, 255, 0.40);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(4.5px);
    -webkit-backdrop-filter: blur(4.5px);
    border: 1px solid rgba(255, 255, 255, 0.27);
}

.alumno:hover{
    background-color: aliceblue;
    box-shadow: 0px 0px 20px rgba(30, 30, 30, 0.279);
    transform: scale(1.01);
}
.headers{
    margin-bottom: 10px ;
    border: none;
}

.alumno[draggable="true"] {
    cursor: move;
}

@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.alumno {
    opacity: 0; /* Inicialmente oculto */
    animation-name: fadeInDown;
    animation-duration: 400ms;
    animation-fill-mode: forwards;
}

@media screen and (max-width:600px) {

    table {
        display: block;
        width: 100%;
        border-collapse:separate;
        border-spacing: 0 10px;
        border: none;
    }
    .headers{
        display: none;
    }
    table tr{
        display: block;
        padding: 5px;
    }
    table td{
        display: block;
        text-align: right;
        padding: 5px;
    }
    #table-container{
        width: 100%;
    }
    table td::before {
        content: attr(data-label);
        float: left;
        font-weight: 600;
        text-transform: uppercase;
        font-size: 14px;
        font-family: 'Open Sans', sans-serif;
      }
    tbody {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    tr.alumno {
        width: 90%;
    }
    }